Page MenuHomePhabricator

efl_ui_button: port to efl.ui.clickable
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:00 AM.

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11419
bu5hm4n created this revision.May 5 2019, 3:00 AM
bu5hm4n requested review of this revision.May 5 2019, 3:01 AM
segfaultxavi requested changes to this revision.May 6 2019, 3:46 AM

Makes sense, except for that inline comment.

src/lib/elementary/efl_ui_button.c
78

Shouldn't you emit the event just like in line 105 below?

This revision now requires changes to proceed.May 6 2019, 3:46 AM
bu5hm4n updated this revision to Diff 21956.May 6 2019, 7:41 AM

Rebase & update according to xavi review

bu5hm4n marked an inline comment as done.May 6 2019, 7:43 AM
bu5hm4n added inline comments.
src/lib/elementary/efl_ui_button.c
78

yep, thx

bu5hm4n marked 2 inline comments as done.May 6 2019, 7:43 AM
segfaultxavi accepted this revision.May 7 2019, 3:07 AM
This revision is now accepted and ready to land.May 7 2019, 3:07 AM
bu5hm4n updated this revision to Diff 22103.May 12 2019, 2:17 AM

Rebase & update

bu5hm4n updated this revision to Diff 22149.May 14 2019, 1:54 AM

Make press,move-out-of-widget,unpress scenarios work

bu5hm4n updated this revision to Diff 22154.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22174.May 14 2019, 10:53 AM

update to new API names

bu5hm4n updated this revision to Diff 22185.May 14 2019, 11:21 AM

update to new API names, redo

Closed by commit rEFLbb1388798b1a: efl_ui_button: port to efl.ui.clickable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 14 2019, 1:18 PM
This revision was automatically updated to reflect the committed changes.